LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XNamespaceMapping Interface Reference

Interface to map XML namespace URI strings to ordinals (URI-id, short uid). More...

`import"XNamespaceMapping.idl";`

Inheritance diagram for XNamespaceMapping:

## Public Member Functions
long | getUidByUri ([in] string uri)
| Creates a unique ordinal passing an XML namespace URI. More...
string | getUriByUid ([in] long uid) raises (com::sun::star::container::NoSuchElementException)
| Gets the corresponding XML namespace URI passing a uid (created using getUidByUri()). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to map XML namespace URI strings to ordinals (URI-id, short uid).

## Member Function Documentation

## ◆ getUidByUri()

long getUidByUri | ( | [in] string | uri | ) |

Creates a unique ordinal passing an XML namespace URI.

Parameters

  uri | XML namespace URI

Returns
  uid

## ◆ getUriByUid()

string getUriByUid | ( | [in] long | uid | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Gets the corresponding XML namespace URI passing a uid (created using getUidByUri()).

Parameters

  uid | uid

Returns
  XML namespace URI

The documentation for this interface was generated from the following file:

- com/sun/star/xml/input/XNamespaceMapping.idl